/** Rill v0.0.48 https://www.npmjs.com/package/rill License: MIT*/
var dateReg;

dateReg = /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*))(?:Z|(\+|-)([\d|:]*))?$/;


/*
 * When used as a transform for JSON.parse date strings will be turned into date objects.
#
 * @param {String} key
 * @param {String} val
 */

module.exports = function(key, val) {
  if ("string" === typeof val && dateReg.test(val)) {
    return new Date(val);
  } else {
    return val;
  }
};
